<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.ListView?>
<?import javafx.scene.control.ScrollBar?>
<?import javafx.scene.image.Image?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.ColumnConstraints?>
<?import javafx.scene.layout.GridPane?>
<?import javafx.scene.layout.RowConstraints?>

<AnchorPane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="400.0" prefWidth="600.0" xmlns="http://javafx.com/javafx/8.0.171" xmlns:fx="http://javafx.com/fxml/1" fx:controller="norsvin.gui.RS232PortScene">
    <children>
        <ListView fx:id="portList" layoutX="22.0" layoutY="57.0" onMouseClicked="#ClickedList" prefHeight="287.0" prefWidth="227.0" />
        <Label layoutX="22.0" layoutY="23.0" prefHeight="17.0" prefWidth="118.0" text="Communication Ports" />
        <Button layoutX="95.0" layoutY="353.0" mnemonicParsing="false" onMouseClicked="#connectToDevice" prefHeight="25.0" prefWidth="72.0" text="Connect" />
        <Label fx:id="statusConnectionRS" layoutX="172.0" layoutY="353.0" prefHeight="25.0" prefWidth="80.0" text="Not connected" />
        <ScrollBar layoutX="234.0" layoutY="57.0" orientation="VERTICAL" prefHeight="287.0" prefWidth="14.0" />
        <GridPane layoutX="255.0" layoutY="282.0" prefHeight="97.0" prefWidth="332.0">
            <columnConstraints>
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="161.33331298828125" minWidth="10.0" prefWidth="107.33331298828125" />
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="224.66668701171875" minWidth="10.0" prefWidth="224.66668701171875" />
            </columnConstraints>
            <rowConstraints>
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            </rowConstraints>
            <children>
                <Label prefHeight="17.0" prefWidth="142.0" text="System port name:" />
                <Label prefHeight="17.0" prefWidth="103.0" text="Port description" GridPane.rowIndex="1" />
                <Label fx:id="lbl_sysPortName" prefHeight="17.0" prefWidth="159.0" GridPane.columnIndex="1" />
                <Label fx:id="lbl_portDescription" prefHeight="17.0" prefWidth="142.0" GridPane.columnIndex="1" GridPane.rowIndex="1" />
            </children>
        </GridPane>
        <ImageView fitHeight="219.0" fitWidth="343.0" layoutX="261.0" layoutY="57.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@../img/digi_bt_scale.png" />
            </image>
        </ImageView>
        <Button layoutX="22.0" layoutY="353.0" mnemonicParsing="false" onMouseClicked="#reSearchDevices" prefHeight="25.0" prefWidth="72.0" text="Search" />
    </children>
</AnchorPane>
